# Record TCefMediaSinkDeviceInfoCallback

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefMediaSinkDeviceInfoCallback = record`

## Description

Callback structure for ICefMediaSink.GetDeviceInfo. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

Implemented by ICefMediaSinkDeviceInfoCallback.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_media_router_capi.h">CEF source file: /include/capi/cef_media_router_capi.h (cef_media_sink_device_info_callback_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `on_media_sink_device_info: procedure(self: PCefMediaSinkDeviceInfoCallback; device_info: PCefMediaSinkDeviceInfo); stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `on_media_sink_device_info: procedure(self: PCefMediaSinkDeviceInfoCallback; device_info: PCefMediaSinkDeviceInfo); stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.